Agda-2.3.0.1: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe-Infered

Agda.Interaction.Highlighting.Emacs

Description

Functions which give precise syntax highlighting info to Emacs.

Synopsis

- showHighlightingInfo :: Maybe (HighlightingInfo, ModuleToSource) -> String
- tests :: IO Bool

# Documentation

showHighlightingInfo

Arguments

:: Maybe (HighlightingInfo, ModuleToSource) | The `ModuleToSource` must contain a mapping for every definition site's module.
-> String |

Shows syntax highlighting information in an Emacsy fashion.

tests :: IO Bool

All the properties.